## 7zip 21.07+dfsg

=== debian/control ===
Source: 7zip
Section: utils
Priority: optional
Maintainer: YOKOTA Hiroshi <yokota.hgml@gmail.com>
Uploaders: Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.7-zip.org/
Vcs-Git: https://salsa.debian.org/debian/7zip.git
Vcs-Browser: https://salsa.debian.org/debian/7zip

Package: 7zip
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: 7-Zip file archiver with a high compression ratio
 7-Zip is a file archiver with a high compression ratio. The main features
 of 7-Zip are:
  * High compression ratio in 7z format with LZMA and LZMA2 compression
  * Supported formats:
      * Packing / unpacking: 7z, XZ, BZIP2, GZIP, TAR, ZIP and WIM
      * Unpacking only: AR, ARJ, CAB, CHM, CPIO, CramFS, DMG, EXT, FAT,
          GPT, HFS, IHEX, ISO, LZH, LZMA, MBR, MSI, NSIS, NTFS, QCOW2,
          RPM, SquashFS, UDF, UEFI, VDI, VHD, VMDK, WIM, XAR and Z.
  * For ZIP and GZIP formats, 7-Zip provides a compression ratio that is
      2-10 % better than the ratio provided by PKZip and WinZip
  * Strong AES-256 encryption in 7z and ZIP formats
  * Powerful command line version
 .
 Note: The unRAR code was dropped to keep compatible with DFSG.
