## 7zip 22.01+dfsg

=== debian/changelog ===
7zip (22.01+dfsg-8+deb12u1) bookworm; urgency=medium

  * Fix CVE-2023-52168 (buffer overflow) and CVE-2023-52169 (buffer over-read)

    * CVE-2023-52168: heap-based buffer overflow
        NTFS handler allows an attacker to overwrite two bytes at multiple
        offsets beyond the allocated buffer size.
    * CVE-2023-52169: out-of-bounds read
        NTFS handler allows an attacker to read beyond the intended buffer.
        The bytes read beyond the intended buffer are presented as a part of
        a filename listed in the file system image. This has security relevance
        in some known web-service use cases where untrusted users can upload
        files and have them extracted by a server-side 7-Zip process.

    Detailed report about these issues are available at:
    https://dfir.ru/2024/06/19/vulnerabilities-in-7-zip-and-ntfs3/

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 18 Oct 2024 01:45:17 +0900

7zip (22.01+dfsg-8) unstable; urgency=medium

  * Upgrade Debian standards

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 18 Dec 2022 21:09:42 +0900

7zip (22.01+dfsg-7) unstable; urgency=medium

  Reproducible build tester in Sid (unstable) fails to strip some debug infos
  like build paths. This makes fail to reproducible build.

  * Rediff patches
  * Revert "Enable link time optimization (LTO)"

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 09 Dec 2022 20:26:57 +0900

7zip (22.01+dfsg-6) unstable; urgency=medium

  * Remove unwanted hack for object files

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 07 Dec 2022 21:34:51 +0900

7zip (22.01+dfsg-5) unstable; urgency=medium

  * Enable link time optimization (LTO)
  * Manually de-reference pointers

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 03 Dec 2022 19:40:39 +0900

7zip (22.01+dfsg-4) unstable; urgency=medium

  * Revert "Enable link time optimization (LTO)"
  * Revert "Manually de-reference pointers"

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 27 Aug 2022 20:28:56 +0900

7zip (22.01+dfsg-3) unstable; urgency=medium

  * Enable link time optimization (LTO)
  * Manually de-reference pointers

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 27 Aug 2022 15:02:19 +0900

7zip (22.01+dfsg-2) unstable; urgency=medium

  * Rebuild with GCC 12 (Closes: #1012886)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 23 Jul 2022 10:16:24 +0900

7zip (22.01+dfsg-1) unstable; urgency=medium

  * New upstream version 22.01+dfsg
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 16 Jul 2022 23:15:07 +0900

7zip (22.00+dfsg-2) unstable; urgency=medium

  * Initialize uninitialized value

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 21 Jun 2022 15:07:28 +0900

7zip (22.00+dfsg-1) unstable; urgency=medium

  * New upstream version 22.00+dfsg
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 21 Jun 2022 13:19:35 +0900

7zip (21.07+dfsg-5) unstable; urgency=medium

  * Upgrade Debian standards
  * ftbfs fix with GCC-12

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 17 Jun 2022 08:22:16 +0900
