=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: YOKOTA Hiroshi <yokota.hgml@gmail.com>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.7-zip.org/
 Vcs-Git: https://salsa.debian.org/debian/7zip.git
