=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=+all

include debian/arch-options.mak

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C CPP/7zip/Bundles/Alone2 -f ../../cmpl_gcc.mak \
		CROSS_COMPILE="$(DEB_HOST_GNU_TYPE)-" \
		DISABLE_RAR=1 \
		DEB_CFLAGS="$(CFLAGS) -pipe" \
		DEB_CXXFLAGS="$(CXXFLAGS) -pipe" \
		DEB_CPPFLAGS="$(CPPFLAGS)" \
		DEB_LDFLAGS="$(LDFLAGS) -pipe"

override_dh_auto_clean:
	$(MAKE) -C CPP/7zip/Bundles/Alone2 -f ../../cmpl_gcc.mak clean
