## 7zip 23.01+dfsg

=== debian/changelog ===
7zip (23.01+dfsg-3) unstable; urgency=medium

  * Rediff patches
  * Forward patches to upstream
  * Revise armhf patch

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 23 Jun 2023 08:10:08 +0900

7zip (23.01+dfsg-2) unstable; urgency=medium

  * Compilation fix for armel/armhf/powerpc

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 21 Jun 2023 12:52:27 +0900

7zip (23.01+dfsg-1) unstable; urgency=medium

  * Rediff patches
  * Remove unwanted exec permissions
  * New upstream version 23.01+dfsg
  * Rediff patches
  * Rediff patches
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 21 Jun 2023 03:29:25 +0900

7zip (22.01+dfsg-9) unstable; urgency=medium

  This version provides 7z/7za/7zr commands as 7z.7zip/7za.7zip/7zr.7zip .

  * Remove unwanted exec permissions when importing from upstream tarball
  * Strict paths in post-unpack hook
  * Remove unwanted exec permissions
  * Rediff patches
  * Build other flavors binary
  * Use dh-exec to install with another name
  * Update ignore list
  * Install files to another place
  * Install trampoline scripts to invoke real executable
  * Install "7za" and "7zr"
  * Move manual path
  * Add alternative selection
  * Update clean target
  * Add "7zip" prefix to packager files
  * Update ignore list
  * Rediff patches
  * Use conf-mode
  * Add tests for other binaries
  * Show supported format list
  * Enable Rar format for 7z as "p7zip" package
  * Mention "7zip-rar" package to support RAR files
  * Update copyright years
  * Text fix
  * Update manual page
  * Add manuals for variant binaries
  * Update alternative list
  * Disable alternative selection
  * Add some text about variant commands to manual page
  * Fixup test code
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 31 May 2023 23:03:45 +0900
