=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: YOKOTA Hiroshi <yokota.hgml@gmail.com>
 Uploaders: Dylan Aïssi <daissi@debian.org>
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13), dh-exec
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.7-zip.org/
@@ -13,6 +13,7 @@
 Package: 7zip
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: 7zip-rar
 Description: 7-Zip file archiver with a high compression ratio
  7-Zip is a file archiver with a high compression ratio. The main features
  of 7-Zip are:
@@ -28,3 +29,4 @@
   * Powerful command line version
  .
  Note: The unRAR code was dropped to keep compatible with DFSG.
+       Install 7zip-rar pacakge in non-free section to use RAR files.
