## 7zip 24.07+dfsg

=== debian/changelog ===
7zip (24.07+dfsg-1) unstable; urgency=medium

  * New upstream version 24.07+dfsg

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 20 Jun 2024 08:10:26 +0900

7zip (24.06+dfsg-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Update 0004 patch to fix duplicate entries for languages with two scripts.

  [ YOKOTA Hiroshi ]
  * Add man page section for "-mcp=code page" option

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 09 Jun 2024 20:32:04 +0900

7zip (24.06+dfsg-3) unstable; urgency=medium

  * Rediff patches
    Add metadata for a patch file

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 29 May 2024 11:53:28 +0900

7zip (24.06+dfsg-2) unstable; urgency=medium

  [ Ivan Sorokin ]
  * Fix ANSI archives support,
    see https://sourceforge.net/p/sevenzip/bugs/1060/

  [ YOKOTA Hiroshi ]
  * Revert "routine-update: Ready to upload to unstable" (Closes: #1072074)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 28 May 2024 16:16:11 +0900

7zip (24.06+dfsg-1) unstable; urgency=medium

  [ Ivan Sorokin ]
  * Use system locale to select codepage for legacy zip archives
  * Fixed some minor errors:
      1) Avoid possible problems with table size calculation
      2) Assume CP437 if charset detection fails
  * This code branch was actually unused
  * added -mcp support

  [ YOKOTA Hiroshi ]
  * New upstream version 24.06+dfsg

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 28 May 2024 02:36:02 +0900

7zip (24.05+dfsg-3) unstable; urgency=medium

  * Use DEP5 license name

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 17 May 2024 13:07:29 +0900

7zip (24.05+dfsg-2) unstable; urgency=medium

  * Add license text for Zstandard code
  * Extend years
  * Use canonical license identifier

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 16 May 2024 19:56:36 +0900

7zip (24.05+dfsg-1) unstable; urgency=medium

  * New upstream version 24.05+dfsg
  * Rediff patches
  * Reorder sequence of d/control fields by cme (routine-update)
  * Restore Breaks and Replaces line
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 16 May 2024 14:55:00 +0900

7zip (23.01+dfsg-12) unstable; urgency=medium

  * Forward 64 bits time patch to upstream

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 11 Apr 2024 19:53:23 +0900

7zip (23.01+dfsg-11) unstable; urgency=medium

  * 64bit time data type fix

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 11 Apr 2024 15:31:30 +0900

7zip (23.01+dfsg-10) unstable; urgency=medium

  * Upgrade Debian standards

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 11 Apr 2024 12:40:49 +0900

7zip (23.01+dfsg-9) unstable; urgency=medium

  * Typo fix
  * Add Lintian overrides for source code

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 11 Apr 2024 11:32:28 +0900

7zip (23.01+dfsg-8) unstable; urgency=medium

  * Drop hard dependency in 7zip-standalone to minimize installation size
    (Closes: #1061485)
  * Add man page for 7zz(1) instead of file link
  * Has both Breaks+Replaces and Conflicts against p7zip-full and p7zip
    (Closes: #1061486)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 26 Jan 2024 00:36:59 +0900

7zip (23.01+dfsg-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * rules: Generalize DEB_HOST_ARCH testing.

  [ YOKOTA Hiroshi ]
  * Cosmetic fix

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 13 Nov 2023 12:13:13 +0900

7zip (23.01+dfsg-6) unstable; urgency=medium

  * Remove redundant Breaks line

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 21 Aug 2023 09:51:32 +0900

7zip (23.01+dfsg-5) unstable; urgency=medium

  * Avoid file conflicts when in unpack 7zip-standalone package
    (Closes: #1050118)
  * Use more better word for changelog
  * Fix typo

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 21 Aug 2023 00:03:12 +0900

7zip (23.01+dfsg-4) unstable; urgency=medium

  * Move /usr/bin/7zz to 7zip-standalone package (Closes: #1042452)
  * Change recommends to suggests about 7zip-standalone package

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 20 Aug 2023 17:01:29 +0900

7zip (23.01+dfsg-4~exp1) experimental; urgency=medium

  * Move /usr/bin/7zz to 7zip-standalone package
  * Update ignore list
  * Replace with p7zip
  * Import p7zip(1) script from p7zip package
  * Provides p7zip to replace it
  * Add Conflicts to remove p7zip from machine
  * Lintian fix
  * Man page link fix
  * Update man page about plugins support
  * Cosmetic fix
  * Update autopkgtest
  * Use 7z for full benchmark test

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 06 Aug 2023 21:18:17 +0900
