## 7zip 24.08+dfsg

=== debian/changelog ===
7zip (24.08+dfsg-1) unstable; urgency=medium

  * New upstream version 24.08+dfsg

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 12 Aug 2024 23:13:32 +0900

7zip (24.07+dfsg-2) unstable; urgency=medium

  * Hardening Debian patch

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 26 Jul 2024 11:27:24 +0900
