=== debian/control ===
Source: 7zip
Maintainer: YOKOTA Hiroshi <yokota.hgml@gmail.com>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/7zip
Vcs-Git: https://salsa.debian.org/debian/7zip.git
Homepage: https://www.7-zip.org/
Rules-Requires-Root: no

Package: 7zip
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: 7zip-standalone,
          7zip-rar
Breaks: p7zip-full (<= 16.02+dfsg-8),
        p7zip (<= 16.02+dfsg-8)
Replaces: p7zip-full (<= 16.02+dfsg-8),
          p7zip (<= 16.02+dfsg-8)
Provides: p7zip-full,
          p7zip
Description: 7-Zip file archiver with a high compression ratio
 7-Zip is a file archiver with a high compression ratio. The main features
 of 7-Zip are:
  * High compression ratio in 7z format with LZMA and LZMA2 compression
  * Supported formats:
      * Packing / unpacking: 7z, XZ, BZIP2, GZIP, TAR, ZIP and WIM
      * Unpacking only: AR, ARJ, CAB, CHM, CPIO, CramFS, DMG, EXT, FAT,
          GPT, HFS, IHEX, ISO, LZH, LZMA, MBR, MSI, NSIS, NTFS, QCOW2,
          RPM, SquashFS, UDF, UEFI, VDI, VHD, VMDK, WIM, XAR and Z.
  * For ZIP and GZIP formats, 7-Zip provides a compression ratio that is
      2-10 % better than the ratio provided by PKZip and WinZip
  * Strong AES-256 encryption in 7z and ZIP formats
  * Powerful command line version
 .
 "7zip" provides:
  * /usr/bin/7z:  Full featured with plugin functionality.
  * /usr/bin/7za: Major formats/features only.
  * /usr/bin/7zr: LZMA (.7z, .lzma, .xz) only. Minimal executable.
 .
 Note: The unRAR code was dropped to keep compatible with DFSG.
       Install 7zip-rar package in non-free section to use RAR files.

Package: 7zip-standalone
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: 7zip (= ${binary:Version})
Replaces: 7zip (<< 23.01+dfsg-4~)
Description: 7-Zip file archiver with a high compression ratio (standalone)
 7-Zip is a file archiver with a high compression ratio.
 .
 "7zip-standalone" provides:
  * /usr/bin/7zz: Full featured except plugins, standalone executable.
       This means 7zz can't work with unRAR plugin that provided by 7zip-rar
       package. Use 7zip package for unRAR plugin.
 .
 Note: If you want to create SFX archive, you also needs 7zip package for SFX
       stub module.
