## 7zip 24.09%2Bdfsg

=== debian/changelog ===
7zip (24.09+dfsg-7) unstable; urgency=medium

  * Upgrade Debian policy to 4.7.2

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 01 Mar 2025 22:06:59 +0900

7zip (24.09+dfsg-6) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Update 0004 patch to the latest version from upstream PR #36.

  [ YOKOTA Hiroshi ]
  * Enable assembly code for arm64
  * Use "clocale" instead of "locale.h" for C++ code

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 26 Feb 2025 16:04:16 +0900

7zip (24.09+dfsg-5) unstable; urgency=medium

  * Upgrade Debian policy standards to 4.7.1

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 23 Feb 2025 08:44:31 +0900

7zip (24.09+dfsg-4) unstable; urgency=medium

  * This version enables assembler code for amd64 architecture
    (Closes: #1090988).
    amd64 assembler code requires asmc-linux package and both builder/target
    architecture is amd64.
    If assembler code is enabled, you see "ASM" label in command line help
    message.
    > $ 7z
    > 7-Zip 24.09 (x64) : Copyright (c) 1999-2024 Igor Pavlov : 2024-11-29
    > 64-bit locale=*** Threads:*** OPEN_MAX:***, ASM
    ----------------------------------------------^^^

  * Use assembler code on amd64
  * Use "-c" flags for asmc
  * dh-exec dose not support wildcards while renameing-install
  * Refactor
  * Add "-fpic" for Asmc options
  * Add "-Z7" (full debug info) options for Asmc code
  * Asmc doesn't support DWARF style debug symbols
  * Refactor debian/*.install script
  * Refactor
  * Renumber patches
  * Add "DEB_" prefix for Debian packaging values
  * Update Lintian overrides

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 10 Feb 2025 22:16:07 +0900

7zip (24.09+dfsg-3) unstable; urgency=medium

  * Add note for unexpected recursive operations behavior (Closes: #1091693)
  * Add note for unexpected recursive operations behavior to usage text
  * Rediff patches
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 03 Jan 2025 12:51:08 +0900

7zip (24.09+dfsg-2) unstable; urgency=medium

  * Drop kfreebsd options
  * Add compilation options only for hurd-i386

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 04 Dec 2024 01:32:07 +0900

7zip (24.09+dfsg-1) unstable; urgency=medium

  * New upstream version 24.09+dfsg
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 03 Dec 2024 21:36:18 +0900

7zip (24.08+dfsg-2) unstable; urgency=medium

  * Add a document about CVE-2024-11477 to changelog entry at 7zip/24.07+dfsg-1

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 23 Nov 2024 01:21:11 +0900
