## 7zip 24.09+dfsg

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               asmc-linux [amd64],
                dh-exec
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/debian/7zip
 Vcs-Git: https://salsa.debian.org/debian/7zip.git
 Homepage: https://www.7-zip.org/
