## 7zip 25.00+dfsg

=== debian/changelog ===
7zip (25.00+dfsg-1) unstable; urgency=medium

  * New upstream version 25.00+dfsg
  * Rediff patches
  * Drop unused macro while building SFX stub
  * Disable CI for upstream codes branch
  * Enable cross build test in CI

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 08 Jul 2025 00:16:13 +0900

7zip (24.09+dfsg-8) unstable; urgency=medium

  [ Roger Shimizu ]
  * d/control: Add B-D: dh-exec (>= 0.30~)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 08 May 2025 19:46:16 +0900
