## 7zip 25.01%2Bdfsg

=== debian/changelog ===
7zip (25.01+dfsg-3) unstable; urgency=medium

  * Drop Emacs mode line from debian/watch

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 29 Sep 2025 11:28:16 +0900

7zip (25.01+dfsg-2) unstable; urgency=medium

  * Use V5 format for watch file
  * Drop unused CI variable

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 23 Aug 2025 11:47:31 +0900

7zip (25.01+dfsg-1) unstable; urgency=medium

  * Add upstream repository
  * New upstream version 25.01+dfsg
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 04 Aug 2025 11:33:19 +0900
