## 7zip 25.01+dfsg

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                asmc-linux [amd64],
-               dh-exec
-Standards-Version: 4.7.1
+               dh-exec (>= 0.30~),
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/7zip
 Vcs-Git: https://salsa.debian.org/debian/7zip.git
 Homepage: https://www.7-zip.org/
