=== debian/watch ===
Version: 5

Source: https://www.7-zip.org/download.html
Matching-Pattern: a/7z(\d{4})-src\.tar\.xz
Uversion-Mangle: s/(\d{2})(\d{2})/$1.$2/
Dversion-Mangle: s/\+dfsg$//
Oversion-Mangle: s/$/+dfsg/
Pgp-Mode: none
