## 7zip 26.00+dfsg

=== debian/changelog ===
7zip (26.00+dfsg-1) unstable; urgency=medium

  * New upstream version 26.00+dfsg
  * Rediff patches
  * Extend copyright years

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 13 Feb 2026 16:12:27 +0900

7zip (25.01+dfsg-5) unstable; urgency=medium

  * Upgrade Debian standards to 4.7.3

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 27 Dec 2025 23:00:04 +0900

7zip (25.01+dfsg-4) unstable; urgency=medium

  * Lintian fix: redundant-rules-requires-root-no-field

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 03 Nov 2025 13:30:51 +0900
